
#include "vtparse_table.h"

char *ACTION_NAMES[] = {
   "<no action>",
   "CLEAR",
   "COLLECT",
   "CSI_DISPATCH",
   "ESC_DISPATCH",
   "EXECUTE",
   "HOOK",
   "IGNORE",
   "OSC_END",
   "OSC_PUT",
   "OSC_START",
   "PARAM",
   "PRINT",
   "PUT",
   "UNHOOK",
   "ERROR",
};

char *STATE_NAMES[] = {
   "<no state>",
   "CSI_ENTRY",
   "CSI_IGNORE",
   "CSI_INTERMEDIATE",
   "CSI_PARAM",
   "DCS_ENTRY",
   "DCS_IGNORE",
   "DCS_INTERMEDIATE",
   "DCS_PARAM",
   "DCS_PASSTHROUGH",
   "ESCAPE",
   "ESCAPE_INTERMEDIATE",
   "GROUND",
   "OSC_STRING",
   "SOS_PM_APC_STRING",
};

state_change_t STATE_TABLE[14][256] = {
  {  /* VTPARSE_STATE_CSI_ENTRY = 0 */
/*0  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*1  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*2  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*3  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*4  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*5  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*6  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*7  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*8  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*9  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*10 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*11 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*12 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*13 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*14 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*15 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*16 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*17 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*18 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*19 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*20 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*21 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*22 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*23 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*24 */  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*25 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*26 */  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*27 */  0                                 | (VTPARSE_STATE_ESCAPE              << 4),
/*28 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*29 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*30 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*31 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*32 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_CSI_INTERMEDIATE    << 4),
/*33 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_CSI_INTERMEDIATE    << 4),
/*34 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_CSI_INTERMEDIATE    << 4),
/*35 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_CSI_INTERMEDIATE    << 4),
/*36 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_CSI_INTERMEDIATE    << 4),
/*37 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_CSI_INTERMEDIATE    << 4),
/*38 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_CSI_INTERMEDIATE    << 4),
/*39 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_CSI_INTERMEDIATE    << 4),
/*40 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_CSI_INTERMEDIATE    << 4),
/*41 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_CSI_INTERMEDIATE    << 4),
/*42 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_CSI_INTERMEDIATE    << 4),
/*43 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_CSI_INTERMEDIATE    << 4),
/*44 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_CSI_INTERMEDIATE    << 4),
/*45 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_CSI_INTERMEDIATE    << 4),
/*46 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_CSI_INTERMEDIATE    << 4),
/*47 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_CSI_INTERMEDIATE    << 4),
/*48 */  VTPARSE_ACTION_PARAM              | (VTPARSE_STATE_CSI_PARAM           << 4),
/*49 */  VTPARSE_ACTION_PARAM              | (VTPARSE_STATE_CSI_PARAM           << 4),
/*50 */  VTPARSE_ACTION_PARAM              | (VTPARSE_STATE_CSI_PARAM           << 4),
/*51 */  VTPARSE_ACTION_PARAM              | (VTPARSE_STATE_CSI_PARAM           << 4),
/*52 */  VTPARSE_ACTION_PARAM              | (VTPARSE_STATE_CSI_PARAM           << 4),
/*53 */  VTPARSE_ACTION_PARAM              | (VTPARSE_STATE_CSI_PARAM           << 4),
/*54 */  VTPARSE_ACTION_PARAM              | (VTPARSE_STATE_CSI_PARAM           << 4),
/*55 */  VTPARSE_ACTION_PARAM              | (VTPARSE_STATE_CSI_PARAM           << 4),
/*56 */  VTPARSE_ACTION_PARAM              | (VTPARSE_STATE_CSI_PARAM           << 4),
/*57 */  VTPARSE_ACTION_PARAM              | (VTPARSE_STATE_CSI_PARAM           << 4),
/*58 */  0                                 | (VTPARSE_STATE_CSI_IGNORE          << 4),
/*59 */  VTPARSE_ACTION_PARAM              | (VTPARSE_STATE_CSI_PARAM           << 4),
/*60 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_CSI_PARAM           << 4),
/*61 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_CSI_PARAM           << 4),
/*62 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_CSI_PARAM           << 4),
/*63 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_CSI_PARAM           << 4),
/*64 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*65 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*66 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*67 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*68 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*69 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*70 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*71 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*72 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*73 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*74 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*75 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*76 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*77 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*78 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*79 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*80 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*81 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*82 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*83 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*84 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*85 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*86 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*87 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*88 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*89 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*90 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*91 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*92 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*93 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*94 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*95 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*96 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*97 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*98 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*99 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*100*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*101*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*102*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*103*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*104*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*105*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*106*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*107*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*108*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*109*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*110*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*111*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*112*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*113*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*114*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*115*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*116*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*117*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*118*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*119*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*120*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*121*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*122*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*123*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*124*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*125*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*126*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*127*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*128*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*129*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*130*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*131*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*132*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*133*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*134*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*135*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*136*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*137*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*138*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*139*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*140*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*141*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*142*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*143*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*144*/  0                                 | (VTPARSE_STATE_DCS_ENTRY           << 4),
/*145*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*146*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*147*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*148*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*149*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*150*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*151*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*152*/  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
/*153*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*154*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*155*/  0                                 | (VTPARSE_STATE_CSI_ENTRY           << 4),
/*156*/  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*157*/  0                                 | (VTPARSE_STATE_OSC_STRING          << 4),
/*158*/  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
/*159*/  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
  },
  {  /* VTPARSE_STATE_CSI_IGNORE = 1 */
/*0  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*1  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*2  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*3  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*4  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*5  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*6  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*7  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*8  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*9  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*10 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*11 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*12 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*13 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*14 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*15 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*16 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*17 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*18 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*19 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*20 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*21 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*22 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*23 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*24 */  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*25 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*26 */  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*27 */  0                                 | (VTPARSE_STATE_ESCAPE              << 4),
/*28 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*29 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*30 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*31 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*32 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*33 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*34 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*35 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*36 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*37 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*38 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*39 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*40 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*41 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*42 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*43 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*44 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*45 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*46 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*47 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*48 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*49 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*50 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*51 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*52 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*53 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*54 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*55 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*56 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*57 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*58 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*59 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*60 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*61 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*62 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*63 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*64 */  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*65 */  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*66 */  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*67 */  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*68 */  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*69 */  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*70 */  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*71 */  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*72 */  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*73 */  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*74 */  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*75 */  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*76 */  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*77 */  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*78 */  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*79 */  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*80 */  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*81 */  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*82 */  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*83 */  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*84 */  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*85 */  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*86 */  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*87 */  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*88 */  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*89 */  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*90 */  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*91 */  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*92 */  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*93 */  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*94 */  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*95 */  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*96 */  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*97 */  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*98 */  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*99 */  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*100*/  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*101*/  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*102*/  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*103*/  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*104*/  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*105*/  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*106*/  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*107*/  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*108*/  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*109*/  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*110*/  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*111*/  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*112*/  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*113*/  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*114*/  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*115*/  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*116*/  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*117*/  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*118*/  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*119*/  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*120*/  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*121*/  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*122*/  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*123*/  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*124*/  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*125*/  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*126*/  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*127*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*128*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*129*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*130*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*131*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*132*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*133*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*134*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*135*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*136*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*137*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*138*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*139*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*140*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*141*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*142*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*143*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*144*/  0                                 | (VTPARSE_STATE_DCS_ENTRY           << 4),
/*145*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*146*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*147*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*148*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*149*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*150*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*151*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*152*/  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
/*153*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*154*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*155*/  0                                 | (VTPARSE_STATE_CSI_ENTRY           << 4),
/*156*/  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*157*/  0                                 | (VTPARSE_STATE_OSC_STRING          << 4),
/*158*/  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
/*159*/  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
  },
  {  /* VTPARSE_STATE_CSI_INTERMEDIATE = 2 */
/*0  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*1  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*2  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*3  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*4  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*5  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*6  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*7  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*8  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*9  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*10 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*11 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*12 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*13 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*14 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*15 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*16 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*17 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*18 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*19 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*20 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*21 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*22 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*23 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*24 */  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*25 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*26 */  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*27 */  0                                 | (VTPARSE_STATE_ESCAPE              << 4),
/*28 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*29 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*30 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*31 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*32 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*33 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*34 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*35 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*36 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*37 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*38 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*39 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*40 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*41 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*42 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*43 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*44 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*45 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*46 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*47 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*48 */  0                                 | (VTPARSE_STATE_CSI_IGNORE          << 4),
/*49 */  0                                 | (VTPARSE_STATE_CSI_IGNORE          << 4),
/*50 */  0                                 | (VTPARSE_STATE_CSI_IGNORE          << 4),
/*51 */  0                                 | (VTPARSE_STATE_CSI_IGNORE          << 4),
/*52 */  0                                 | (VTPARSE_STATE_CSI_IGNORE          << 4),
/*53 */  0                                 | (VTPARSE_STATE_CSI_IGNORE          << 4),
/*54 */  0                                 | (VTPARSE_STATE_CSI_IGNORE          << 4),
/*55 */  0                                 | (VTPARSE_STATE_CSI_IGNORE          << 4),
/*56 */  0                                 | (VTPARSE_STATE_CSI_IGNORE          << 4),
/*57 */  0                                 | (VTPARSE_STATE_CSI_IGNORE          << 4),
/*58 */  0                                 | (VTPARSE_STATE_CSI_IGNORE          << 4),
/*59 */  0                                 | (VTPARSE_STATE_CSI_IGNORE          << 4),
/*60 */  0                                 | (VTPARSE_STATE_CSI_IGNORE          << 4),
/*61 */  0                                 | (VTPARSE_STATE_CSI_IGNORE          << 4),
/*62 */  0                                 | (VTPARSE_STATE_CSI_IGNORE          << 4),
/*63 */  0                                 | (VTPARSE_STATE_CSI_IGNORE          << 4),
/*64 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*65 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*66 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*67 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*68 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*69 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*70 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*71 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*72 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*73 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*74 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*75 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*76 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*77 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*78 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*79 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*80 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*81 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*82 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*83 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*84 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*85 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*86 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*87 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*88 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*89 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*90 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*91 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*92 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*93 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*94 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*95 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*96 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*97 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*98 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*99 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*100*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*101*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*102*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*103*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*104*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*105*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*106*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*107*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*108*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*109*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*110*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*111*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*112*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*113*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*114*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*115*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*116*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*117*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*118*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*119*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*120*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*121*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*122*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*123*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*124*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*125*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*126*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*127*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*128*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*129*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*130*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*131*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*132*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*133*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*134*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*135*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*136*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*137*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*138*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*139*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*140*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*141*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*142*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*143*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*144*/  0                                 | (VTPARSE_STATE_DCS_ENTRY           << 4),
/*145*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*146*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*147*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*148*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*149*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*150*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*151*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*152*/  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
/*153*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*154*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*155*/  0                                 | (VTPARSE_STATE_CSI_ENTRY           << 4),
/*156*/  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*157*/  0                                 | (VTPARSE_STATE_OSC_STRING          << 4),
/*158*/  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
/*159*/  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
  },
  {  /* VTPARSE_STATE_CSI_PARAM = 3 */
/*0  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*1  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*2  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*3  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*4  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*5  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*6  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*7  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*8  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*9  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*10 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*11 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*12 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*13 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*14 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*15 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*16 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*17 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*18 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*19 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*20 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*21 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*22 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*23 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*24 */  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*25 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*26 */  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*27 */  0                                 | (VTPARSE_STATE_ESCAPE              << 4),
/*28 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*29 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*30 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*31 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*32 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_CSI_INTERMEDIATE    << 4),
/*33 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_CSI_INTERMEDIATE    << 4),
/*34 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_CSI_INTERMEDIATE    << 4),
/*35 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_CSI_INTERMEDIATE    << 4),
/*36 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_CSI_INTERMEDIATE    << 4),
/*37 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_CSI_INTERMEDIATE    << 4),
/*38 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_CSI_INTERMEDIATE    << 4),
/*39 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_CSI_INTERMEDIATE    << 4),
/*40 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_CSI_INTERMEDIATE    << 4),
/*41 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_CSI_INTERMEDIATE    << 4),
/*42 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_CSI_INTERMEDIATE    << 4),
/*43 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_CSI_INTERMEDIATE    << 4),
/*44 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_CSI_INTERMEDIATE    << 4),
/*45 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_CSI_INTERMEDIATE    << 4),
/*46 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_CSI_INTERMEDIATE    << 4),
/*47 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_CSI_INTERMEDIATE    << 4),
/*48 */  VTPARSE_ACTION_PARAM              | (0                                 << 4),
/*49 */  VTPARSE_ACTION_PARAM              | (0                                 << 4),
/*50 */  VTPARSE_ACTION_PARAM              | (0                                 << 4),
/*51 */  VTPARSE_ACTION_PARAM              | (0                                 << 4),
/*52 */  VTPARSE_ACTION_PARAM              | (0                                 << 4),
/*53 */  VTPARSE_ACTION_PARAM              | (0                                 << 4),
/*54 */  VTPARSE_ACTION_PARAM              | (0                                 << 4),
/*55 */  VTPARSE_ACTION_PARAM              | (0                                 << 4),
/*56 */  VTPARSE_ACTION_PARAM              | (0                                 << 4),
/*57 */  VTPARSE_ACTION_PARAM              | (0                                 << 4),
/*58 */  0                                 | (VTPARSE_STATE_CSI_IGNORE          << 4),
/*59 */  VTPARSE_ACTION_PARAM              | (0                                 << 4),
/*60 */  0                                 | (VTPARSE_STATE_CSI_IGNORE          << 4),
/*61 */  0                                 | (VTPARSE_STATE_CSI_IGNORE          << 4),
/*62 */  0                                 | (VTPARSE_STATE_CSI_IGNORE          << 4),
/*63 */  0                                 | (VTPARSE_STATE_CSI_IGNORE          << 4),
/*64 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*65 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*66 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*67 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*68 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*69 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*70 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*71 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*72 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*73 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*74 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*75 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*76 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*77 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*78 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*79 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*80 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*81 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*82 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*83 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*84 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*85 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*86 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*87 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*88 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*89 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*90 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*91 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*92 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*93 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*94 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*95 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*96 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*97 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*98 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*99 */  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*100*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*101*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*102*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*103*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*104*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*105*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*106*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*107*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*108*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*109*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*110*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*111*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*112*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*113*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*114*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*115*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*116*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*117*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*118*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*119*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*120*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*121*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*122*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*123*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*124*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*125*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*126*/  VTPARSE_ACTION_CSI_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*127*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*128*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*129*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*130*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*131*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*132*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*133*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*134*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*135*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*136*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*137*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*138*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*139*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*140*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*141*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*142*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*143*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*144*/  0                                 | (VTPARSE_STATE_DCS_ENTRY           << 4),
/*145*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*146*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*147*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*148*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*149*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*150*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*151*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*152*/  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
/*153*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*154*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*155*/  0                                 | (VTPARSE_STATE_CSI_ENTRY           << 4),
/*156*/  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*157*/  0                                 | (VTPARSE_STATE_OSC_STRING          << 4),
/*158*/  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
/*159*/  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
  },
  {  /* VTPARSE_STATE_DCS_ENTRY = 4 */
/*0  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*1  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*2  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*3  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*4  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*5  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*6  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*7  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*8  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*9  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*10 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*11 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*12 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*13 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*14 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*15 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*16 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*17 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*18 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*19 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*20 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*21 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*22 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*23 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*24 */  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*25 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*26 */  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*27 */  0                                 | (VTPARSE_STATE_ESCAPE              << 4),
/*28 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*29 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*30 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*31 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*32 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_DCS_INTERMEDIATE    << 4),
/*33 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_DCS_INTERMEDIATE    << 4),
/*34 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_DCS_INTERMEDIATE    << 4),
/*35 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_DCS_INTERMEDIATE    << 4),
/*36 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_DCS_INTERMEDIATE    << 4),
/*37 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_DCS_INTERMEDIATE    << 4),
/*38 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_DCS_INTERMEDIATE    << 4),
/*39 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_DCS_INTERMEDIATE    << 4),
/*40 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_DCS_INTERMEDIATE    << 4),
/*41 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_DCS_INTERMEDIATE    << 4),
/*42 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_DCS_INTERMEDIATE    << 4),
/*43 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_DCS_INTERMEDIATE    << 4),
/*44 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_DCS_INTERMEDIATE    << 4),
/*45 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_DCS_INTERMEDIATE    << 4),
/*46 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_DCS_INTERMEDIATE    << 4),
/*47 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_DCS_INTERMEDIATE    << 4),
/*48 */  VTPARSE_ACTION_PARAM              | (VTPARSE_STATE_DCS_PARAM           << 4),
/*49 */  VTPARSE_ACTION_PARAM              | (VTPARSE_STATE_DCS_PARAM           << 4),
/*50 */  VTPARSE_ACTION_PARAM              | (VTPARSE_STATE_DCS_PARAM           << 4),
/*51 */  VTPARSE_ACTION_PARAM              | (VTPARSE_STATE_DCS_PARAM           << 4),
/*52 */  VTPARSE_ACTION_PARAM              | (VTPARSE_STATE_DCS_PARAM           << 4),
/*53 */  VTPARSE_ACTION_PARAM              | (VTPARSE_STATE_DCS_PARAM           << 4),
/*54 */  VTPARSE_ACTION_PARAM              | (VTPARSE_STATE_DCS_PARAM           << 4),
/*55 */  VTPARSE_ACTION_PARAM              | (VTPARSE_STATE_DCS_PARAM           << 4),
/*56 */  VTPARSE_ACTION_PARAM              | (VTPARSE_STATE_DCS_PARAM           << 4),
/*57 */  VTPARSE_ACTION_PARAM              | (VTPARSE_STATE_DCS_PARAM           << 4),
/*58 */  0                                 | (VTPARSE_STATE_DCS_IGNORE          << 4),
/*59 */  VTPARSE_ACTION_PARAM              | (VTPARSE_STATE_DCS_PARAM           << 4),
/*60 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_DCS_PARAM           << 4),
/*61 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_DCS_PARAM           << 4),
/*62 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_DCS_PARAM           << 4),
/*63 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_DCS_PARAM           << 4),
/*64 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*65 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*66 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*67 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*68 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*69 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*70 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*71 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*72 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*73 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*74 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*75 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*76 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*77 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*78 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*79 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*80 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*81 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*82 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*83 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*84 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*85 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*86 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*87 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*88 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*89 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*90 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*91 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*92 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*93 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*94 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*95 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*96 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*97 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*98 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*99 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*100*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*101*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*102*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*103*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*104*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*105*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*106*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*107*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*108*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*109*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*110*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*111*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*112*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*113*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*114*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*115*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*116*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*117*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*118*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*119*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*120*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*121*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*122*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*123*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*124*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*125*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*126*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*127*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*128*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*129*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*130*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*131*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*132*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*133*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*134*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*135*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*136*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*137*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*138*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*139*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*140*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*141*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*142*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*143*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*144*/  0                                 | (VTPARSE_STATE_DCS_ENTRY           << 4),
/*145*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*146*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*147*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*148*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*149*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*150*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*151*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*152*/  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
/*153*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*154*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*155*/  0                                 | (VTPARSE_STATE_CSI_ENTRY           << 4),
/*156*/  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*157*/  0                                 | (VTPARSE_STATE_OSC_STRING          << 4),
/*158*/  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
/*159*/  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
  },
  {  /* VTPARSE_STATE_DCS_IGNORE = 5 */
/*0  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*1  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*2  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*3  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*4  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*5  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*6  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*7  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*8  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*9  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*10 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*11 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*12 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*13 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*14 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*15 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*16 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*17 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*18 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*19 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*20 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*21 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*22 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*23 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*24 */  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*25 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*26 */  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*27 */  0                                 | (VTPARSE_STATE_ESCAPE              << 4),
/*28 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*29 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*30 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*31 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*32 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*33 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*34 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*35 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*36 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*37 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*38 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*39 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*40 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*41 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*42 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*43 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*44 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*45 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*46 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*47 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*48 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*49 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*50 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*51 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*52 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*53 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*54 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*55 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*56 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*57 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*58 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*59 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*60 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*61 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*62 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*63 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*64 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*65 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*66 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*67 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*68 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*69 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*70 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*71 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*72 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*73 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*74 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*75 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*76 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*77 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*78 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*79 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*80 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*81 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*82 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*83 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*84 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*85 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*86 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*87 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*88 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*89 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*90 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*91 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*92 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*93 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*94 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*95 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*96 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*97 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*98 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*99 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*100*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*101*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*102*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*103*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*104*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*105*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*106*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*107*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*108*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*109*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*110*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*111*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*112*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*113*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*114*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*115*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*116*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*117*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*118*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*119*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*120*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*121*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*122*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*123*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*124*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*125*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*126*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*127*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*128*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*129*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*130*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*131*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*132*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*133*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*134*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*135*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*136*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*137*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*138*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*139*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*140*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*141*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*142*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*143*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*144*/  0                                 | (VTPARSE_STATE_DCS_ENTRY           << 4),
/*145*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*146*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*147*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*148*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*149*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*150*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*151*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*152*/  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
/*153*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*154*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*155*/  0                                 | (VTPARSE_STATE_CSI_ENTRY           << 4),
/*156*/  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*157*/  0                                 | (VTPARSE_STATE_OSC_STRING          << 4),
/*158*/  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
/*159*/  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
  },
  {  /* VTPARSE_STATE_DCS_INTERMEDIATE = 6 */
/*0  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*1  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*2  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*3  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*4  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*5  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*6  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*7  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*8  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*9  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*10 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*11 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*12 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*13 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*14 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*15 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*16 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*17 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*18 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*19 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*20 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*21 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*22 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*23 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*24 */  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*25 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*26 */  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*27 */  0                                 | (VTPARSE_STATE_ESCAPE              << 4),
/*28 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*29 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*30 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*31 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*32 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*33 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*34 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*35 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*36 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*37 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*38 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*39 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*40 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*41 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*42 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*43 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*44 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*45 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*46 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*47 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*48 */  0                                 | (VTPARSE_STATE_DCS_IGNORE          << 4),
/*49 */  0                                 | (VTPARSE_STATE_DCS_IGNORE          << 4),
/*50 */  0                                 | (VTPARSE_STATE_DCS_IGNORE          << 4),
/*51 */  0                                 | (VTPARSE_STATE_DCS_IGNORE          << 4),
/*52 */  0                                 | (VTPARSE_STATE_DCS_IGNORE          << 4),
/*53 */  0                                 | (VTPARSE_STATE_DCS_IGNORE          << 4),
/*54 */  0                                 | (VTPARSE_STATE_DCS_IGNORE          << 4),
/*55 */  0                                 | (VTPARSE_STATE_DCS_IGNORE          << 4),
/*56 */  0                                 | (VTPARSE_STATE_DCS_IGNORE          << 4),
/*57 */  0                                 | (VTPARSE_STATE_DCS_IGNORE          << 4),
/*58 */  0                                 | (VTPARSE_STATE_DCS_IGNORE          << 4),
/*59 */  0                                 | (VTPARSE_STATE_DCS_IGNORE          << 4),
/*60 */  0                                 | (VTPARSE_STATE_DCS_IGNORE          << 4),
/*61 */  0                                 | (VTPARSE_STATE_DCS_IGNORE          << 4),
/*62 */  0                                 | (VTPARSE_STATE_DCS_IGNORE          << 4),
/*63 */  0                                 | (VTPARSE_STATE_DCS_IGNORE          << 4),
/*64 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*65 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*66 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*67 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*68 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*69 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*70 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*71 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*72 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*73 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*74 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*75 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*76 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*77 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*78 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*79 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*80 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*81 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*82 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*83 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*84 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*85 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*86 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*87 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*88 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*89 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*90 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*91 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*92 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*93 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*94 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*95 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*96 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*97 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*98 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*99 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*100*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*101*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*102*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*103*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*104*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*105*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*106*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*107*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*108*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*109*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*110*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*111*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*112*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*113*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*114*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*115*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*116*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*117*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*118*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*119*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*120*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*121*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*122*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*123*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*124*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*125*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*126*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*127*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*128*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*129*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*130*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*131*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*132*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*133*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*134*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*135*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*136*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*137*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*138*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*139*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*140*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*141*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*142*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*143*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*144*/  0                                 | (VTPARSE_STATE_DCS_ENTRY           << 4),
/*145*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*146*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*147*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*148*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*149*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*150*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*151*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*152*/  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
/*153*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*154*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*155*/  0                                 | (VTPARSE_STATE_CSI_ENTRY           << 4),
/*156*/  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*157*/  0                                 | (VTPARSE_STATE_OSC_STRING          << 4),
/*158*/  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
/*159*/  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
  },
  {  /* VTPARSE_STATE_DCS_PARAM = 7 */
/*0  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*1  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*2  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*3  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*4  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*5  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*6  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*7  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*8  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*9  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*10 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*11 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*12 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*13 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*14 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*15 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*16 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*17 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*18 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*19 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*20 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*21 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*22 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*23 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*24 */  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*25 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*26 */  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*27 */  0                                 | (VTPARSE_STATE_ESCAPE              << 4),
/*28 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*29 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*30 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*31 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*32 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_DCS_INTERMEDIATE    << 4),
/*33 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_DCS_INTERMEDIATE    << 4),
/*34 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_DCS_INTERMEDIATE    << 4),
/*35 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_DCS_INTERMEDIATE    << 4),
/*36 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_DCS_INTERMEDIATE    << 4),
/*37 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_DCS_INTERMEDIATE    << 4),
/*38 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_DCS_INTERMEDIATE    << 4),
/*39 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_DCS_INTERMEDIATE    << 4),
/*40 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_DCS_INTERMEDIATE    << 4),
/*41 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_DCS_INTERMEDIATE    << 4),
/*42 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_DCS_INTERMEDIATE    << 4),
/*43 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_DCS_INTERMEDIATE    << 4),
/*44 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_DCS_INTERMEDIATE    << 4),
/*45 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_DCS_INTERMEDIATE    << 4),
/*46 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_DCS_INTERMEDIATE    << 4),
/*47 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_DCS_INTERMEDIATE    << 4),
/*48 */  VTPARSE_ACTION_PARAM              | (0                                 << 4),
/*49 */  VTPARSE_ACTION_PARAM              | (0                                 << 4),
/*50 */  VTPARSE_ACTION_PARAM              | (0                                 << 4),
/*51 */  VTPARSE_ACTION_PARAM              | (0                                 << 4),
/*52 */  VTPARSE_ACTION_PARAM              | (0                                 << 4),
/*53 */  VTPARSE_ACTION_PARAM              | (0                                 << 4),
/*54 */  VTPARSE_ACTION_PARAM              | (0                                 << 4),
/*55 */  VTPARSE_ACTION_PARAM              | (0                                 << 4),
/*56 */  VTPARSE_ACTION_PARAM              | (0                                 << 4),
/*57 */  VTPARSE_ACTION_PARAM              | (0                                 << 4),
/*58 */  0                                 | (VTPARSE_STATE_DCS_IGNORE          << 4),
/*59 */  VTPARSE_ACTION_PARAM              | (0                                 << 4),
/*60 */  0                                 | (VTPARSE_STATE_DCS_IGNORE          << 4),
/*61 */  0                                 | (VTPARSE_STATE_DCS_IGNORE          << 4),
/*62 */  0                                 | (VTPARSE_STATE_DCS_IGNORE          << 4),
/*63 */  0                                 | (VTPARSE_STATE_DCS_IGNORE          << 4),
/*64 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*65 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*66 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*67 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*68 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*69 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*70 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*71 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*72 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*73 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*74 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*75 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*76 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*77 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*78 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*79 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*80 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*81 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*82 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*83 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*84 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*85 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*86 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*87 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*88 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*89 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*90 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*91 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*92 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*93 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*94 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*95 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*96 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*97 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*98 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*99 */  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*100*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*101*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*102*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*103*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*104*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*105*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*106*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*107*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*108*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*109*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*110*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*111*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*112*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*113*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*114*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*115*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*116*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*117*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*118*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*119*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*120*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*121*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*122*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*123*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*124*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*125*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*126*/  0                                 | (VTPARSE_STATE_DCS_PASSTHROUGH     << 4),
/*127*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*128*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*129*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*130*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*131*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*132*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*133*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*134*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*135*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*136*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*137*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*138*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*139*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*140*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*141*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*142*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*143*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*144*/  0                                 | (VTPARSE_STATE_DCS_ENTRY           << 4),
/*145*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*146*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*147*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*148*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*149*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*150*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*151*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*152*/  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
/*153*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*154*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*155*/  0                                 | (VTPARSE_STATE_CSI_ENTRY           << 4),
/*156*/  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*157*/  0                                 | (VTPARSE_STATE_OSC_STRING          << 4),
/*158*/  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
/*159*/  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
  },
  {  /* VTPARSE_STATE_DCS_PASSTHROUGH = 8 */
/*0  */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*1  */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*2  */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*3  */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*4  */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*5  */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*6  */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*7  */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*8  */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*9  */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*10 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*11 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*12 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*13 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*14 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*15 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*16 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*17 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*18 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*19 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*20 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*21 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*22 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*23 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*24 */  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*25 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*26 */  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*27 */  0                                 | (VTPARSE_STATE_ESCAPE              << 4),
/*28 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*29 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*30 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*31 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*32 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*33 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*34 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*35 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*36 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*37 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*38 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*39 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*40 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*41 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*42 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*43 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*44 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*45 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*46 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*47 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*48 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*49 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*50 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*51 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*52 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*53 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*54 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*55 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*56 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*57 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*58 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*59 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*60 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*61 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*62 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*63 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*64 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*65 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*66 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*67 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*68 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*69 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*70 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*71 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*72 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*73 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*74 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*75 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*76 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*77 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*78 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*79 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*80 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*81 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*82 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*83 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*84 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*85 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*86 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*87 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*88 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*89 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*90 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*91 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*92 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*93 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*94 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*95 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*96 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*97 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*98 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*99 */  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*100*/  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*101*/  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*102*/  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*103*/  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*104*/  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*105*/  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*106*/  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*107*/  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*108*/  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*109*/  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*110*/  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*111*/  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*112*/  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*113*/  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*114*/  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*115*/  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*116*/  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*117*/  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*118*/  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*119*/  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*120*/  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*121*/  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*122*/  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*123*/  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*124*/  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*125*/  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*126*/  VTPARSE_ACTION_PUT                | (0                                 << 4),
/*127*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*128*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*129*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*130*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*131*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*132*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*133*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*134*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*135*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*136*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*137*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*138*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*139*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*140*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*141*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*142*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*143*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*144*/  0                                 | (VTPARSE_STATE_DCS_ENTRY           << 4),
/*145*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*146*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*147*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*148*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*149*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*150*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*151*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*152*/  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
/*153*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*154*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*155*/  0                                 | (VTPARSE_STATE_CSI_ENTRY           << 4),
/*156*/  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*157*/  0                                 | (VTPARSE_STATE_OSC_STRING          << 4),
/*158*/  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
/*159*/  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
  },
  {  /* VTPARSE_STATE_ESCAPE = 9 */
/*0  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*1  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*2  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*3  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*4  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*5  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*6  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*7  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*8  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*9  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*10 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*11 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*12 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*13 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*14 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*15 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*16 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*17 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*18 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*19 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*20 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*21 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*22 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*23 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*24 */  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*25 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*26 */  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*27 */  0                                 | (VTPARSE_STATE_ESCAPE              << 4),
/*28 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*29 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*30 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*31 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*32 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_ESCAPE_INTERMEDIATE << 4),
/*33 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_ESCAPE_INTERMEDIATE << 4),
/*34 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_ESCAPE_INTERMEDIATE << 4),
/*35 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_ESCAPE_INTERMEDIATE << 4),
/*36 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_ESCAPE_INTERMEDIATE << 4),
/*37 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_ESCAPE_INTERMEDIATE << 4),
/*38 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_ESCAPE_INTERMEDIATE << 4),
/*39 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_ESCAPE_INTERMEDIATE << 4),
/*40 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_ESCAPE_INTERMEDIATE << 4),
/*41 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_ESCAPE_INTERMEDIATE << 4),
/*42 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_ESCAPE_INTERMEDIATE << 4),
/*43 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_ESCAPE_INTERMEDIATE << 4),
/*44 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_ESCAPE_INTERMEDIATE << 4),
/*45 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_ESCAPE_INTERMEDIATE << 4),
/*46 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_ESCAPE_INTERMEDIATE << 4),
/*47 */  VTPARSE_ACTION_COLLECT            | (VTPARSE_STATE_ESCAPE_INTERMEDIATE << 4),
/*48 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*49 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*50 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*51 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*52 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*53 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*54 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*55 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*56 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*57 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*58 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*59 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*60 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*61 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*62 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*63 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*64 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*65 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*66 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*67 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*68 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*69 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*70 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*71 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*72 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*73 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*74 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*75 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*76 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*77 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*78 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*79 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*80 */  0                                 | (VTPARSE_STATE_DCS_ENTRY           << 4),
/*81 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*82 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*83 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*84 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*85 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*86 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*87 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*88 */  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
/*89 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*90 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*91 */  0                                 | (VTPARSE_STATE_CSI_ENTRY           << 4),
/*92 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*93 */  0                                 | (VTPARSE_STATE_OSC_STRING          << 4),
/*94 */  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
/*95 */  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
/*96 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*97 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*98 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*99 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*100*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*101*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*102*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*103*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*104*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*105*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*106*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*107*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*108*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*109*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*110*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*111*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*112*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*113*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*114*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*115*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*116*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*117*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*118*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*119*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*120*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*121*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*122*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*123*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*124*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*125*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*126*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*127*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*128*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*129*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*130*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*131*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*132*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*133*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*134*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*135*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*136*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*137*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*138*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*139*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*140*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*141*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*142*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*143*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*144*/  0                                 | (VTPARSE_STATE_DCS_ENTRY           << 4),
/*145*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*146*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*147*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*148*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*149*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*150*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*151*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*152*/  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
/*153*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*154*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*155*/  0                                 | (VTPARSE_STATE_CSI_ENTRY           << 4),
/*156*/  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*157*/  0                                 | (VTPARSE_STATE_OSC_STRING          << 4),
/*158*/  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
/*159*/  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
  },
  {  /* VTPARSE_STATE_ESCAPE_INTERMEDIATE = 10 */
/*0  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*1  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*2  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*3  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*4  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*5  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*6  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*7  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*8  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*9  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*10 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*11 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*12 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*13 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*14 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*15 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*16 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*17 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*18 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*19 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*20 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*21 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*22 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*23 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*24 */  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*25 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*26 */  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*27 */  0                                 | (VTPARSE_STATE_ESCAPE              << 4),
/*28 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*29 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*30 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*31 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*32 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*33 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*34 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*35 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*36 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*37 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*38 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*39 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*40 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*41 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*42 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*43 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*44 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*45 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*46 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*47 */  VTPARSE_ACTION_COLLECT            | (0                                 << 4),
/*48 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*49 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*50 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*51 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*52 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*53 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*54 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*55 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*56 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*57 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*58 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*59 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*60 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*61 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*62 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*63 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*64 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*65 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*66 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*67 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*68 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*69 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*70 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*71 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*72 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*73 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*74 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*75 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*76 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*77 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*78 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*79 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*80 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*81 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*82 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*83 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*84 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*85 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*86 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*87 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*88 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*89 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*90 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*91 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*92 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*93 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*94 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*95 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*96 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*97 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*98 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*99 */  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*100*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*101*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*102*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*103*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*104*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*105*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*106*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*107*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*108*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*109*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*110*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*111*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*112*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*113*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*114*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*115*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*116*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*117*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*118*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*119*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*120*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*121*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*122*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*123*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*124*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*125*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*126*/  VTPARSE_ACTION_ESC_DISPATCH       | (VTPARSE_STATE_GROUND              << 4),
/*127*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*128*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*129*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*130*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*131*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*132*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*133*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*134*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*135*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*136*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*137*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*138*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*139*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*140*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*141*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*142*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*143*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*144*/  0                                 | (VTPARSE_STATE_DCS_ENTRY           << 4),
/*145*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*146*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*147*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*148*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*149*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*150*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*151*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*152*/  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
/*153*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*154*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*155*/  0                                 | (VTPARSE_STATE_CSI_ENTRY           << 4),
/*156*/  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*157*/  0                                 | (VTPARSE_STATE_OSC_STRING          << 4),
/*158*/  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
/*159*/  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
  },
  {  /* VTPARSE_STATE_GROUND = 11 */
/*0  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*1  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*2  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*3  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*4  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*5  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*6  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*7  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*8  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*9  */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*10 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*11 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*12 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*13 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*14 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*15 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*16 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*17 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*18 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*19 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*20 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*21 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*22 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*23 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*24 */  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*25 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*26 */  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*27 */  0                                 | (VTPARSE_STATE_ESCAPE              << 4),
/*28 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*29 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*30 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*31 */  VTPARSE_ACTION_EXECUTE            | (0                                 << 4),
/*32 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*33 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*34 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*35 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*36 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*37 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*38 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*39 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*40 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*41 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*42 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*43 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*44 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*45 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*46 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*47 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*48 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*49 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*50 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*51 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*52 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*53 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*54 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*55 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*56 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*57 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*58 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*59 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*60 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*61 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*62 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*63 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*64 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*65 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*66 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*67 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*68 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*69 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*70 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*71 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*72 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*73 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*74 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*75 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*76 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*77 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*78 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*79 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*80 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*81 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*82 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*83 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*84 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*85 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*86 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*87 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*88 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*89 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*90 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*91 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*92 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*93 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*94 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*95 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*96 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*97 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*98 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*99 */  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*100*/  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*101*/  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*102*/  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*103*/  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*104*/  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*105*/  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*106*/  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*107*/  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*108*/  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*109*/  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*110*/  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*111*/  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*112*/  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*113*/  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*114*/  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*115*/  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*116*/  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*117*/  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*118*/  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*119*/  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*120*/  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*121*/  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*122*/  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*123*/  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*124*/  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*125*/  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*126*/  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*127*/  VTPARSE_ACTION_PRINT              | (0                                 << 4),
/*128*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*129*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*130*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*131*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*132*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*133*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*134*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*135*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*136*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*137*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*138*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*139*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*140*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*141*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*142*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*143*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*144*/  0                                 | (VTPARSE_STATE_DCS_ENTRY           << 4),
/*145*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*146*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*147*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*148*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*149*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*150*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*151*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*152*/  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
/*153*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*154*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*155*/  0                                 | (VTPARSE_STATE_CSI_ENTRY           << 4),
/*156*/  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*157*/  0                                 | (VTPARSE_STATE_OSC_STRING          << 4),
/*158*/  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
/*159*/  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
  },
  {  /* VTPARSE_STATE_OSC_STRING = 12 */
/*0  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*1  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*2  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*3  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*4  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*5  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*6  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*7  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*8  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*9  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*10 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*11 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*12 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*13 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*14 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*15 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*16 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*17 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*18 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*19 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*20 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*21 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*22 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*23 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*24 */  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*25 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*26 */  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*27 */  0                                 | (VTPARSE_STATE_ESCAPE              << 4),
/*28 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*29 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*30 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*31 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*32 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*33 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*34 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*35 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*36 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*37 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*38 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*39 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*40 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*41 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*42 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*43 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*44 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*45 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*46 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*47 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*48 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*49 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*50 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*51 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*52 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*53 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*54 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*55 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*56 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*57 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*58 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*59 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*60 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*61 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*62 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*63 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*64 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*65 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*66 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*67 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*68 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*69 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*70 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*71 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*72 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*73 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*74 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*75 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*76 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*77 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*78 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*79 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*80 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*81 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*82 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*83 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*84 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*85 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*86 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*87 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*88 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*89 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*90 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*91 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*92 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*93 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*94 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*95 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*96 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*97 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*98 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*99 */  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*100*/  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*101*/  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*102*/  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*103*/  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*104*/  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*105*/  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*106*/  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*107*/  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*108*/  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*109*/  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*110*/  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*111*/  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*112*/  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*113*/  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*114*/  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*115*/  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*116*/  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*117*/  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*118*/  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*119*/  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*120*/  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*121*/  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*122*/  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*123*/  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*124*/  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*125*/  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*126*/  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*127*/  VTPARSE_ACTION_OSC_PUT            | (0                                 << 4),
/*128*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*129*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*130*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*131*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*132*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*133*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*134*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*135*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*136*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*137*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*138*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*139*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*140*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*141*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*142*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*143*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*144*/  0                                 | (VTPARSE_STATE_DCS_ENTRY           << 4),
/*145*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*146*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*147*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*148*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*149*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*150*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*151*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*152*/  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
/*153*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*154*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*155*/  0                                 | (VTPARSE_STATE_CSI_ENTRY           << 4),
/*156*/  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*157*/  0                                 | (VTPARSE_STATE_OSC_STRING          << 4),
/*158*/  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
/*159*/  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
  },
  {  /* VTPARSE_STATE_SOS_PM_APC_STRING = 13 */
/*0  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*1  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*2  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*3  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*4  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*5  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*6  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*7  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*8  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*9  */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*10 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*11 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*12 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*13 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*14 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*15 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*16 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*17 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*18 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*19 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*20 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*21 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*22 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*23 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*24 */  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*25 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*26 */  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*27 */  0                                 | (VTPARSE_STATE_ESCAPE              << 4),
/*28 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*29 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*30 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*31 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*32 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*33 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*34 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*35 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*36 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*37 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*38 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*39 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*40 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*41 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*42 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*43 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*44 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*45 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*46 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*47 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*48 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*49 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*50 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*51 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*52 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*53 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*54 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*55 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*56 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*57 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*58 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*59 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*60 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*61 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*62 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*63 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*64 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*65 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*66 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*67 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*68 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*69 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*70 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*71 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*72 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*73 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*74 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*75 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*76 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*77 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*78 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*79 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*80 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*81 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*82 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*83 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*84 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*85 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*86 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*87 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*88 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*89 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*90 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*91 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*92 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*93 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*94 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*95 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*96 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*97 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*98 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*99 */  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*100*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*101*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*102*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*103*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*104*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*105*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*106*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*107*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*108*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*109*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*110*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*111*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*112*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*113*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*114*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*115*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*116*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*117*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*118*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*119*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*120*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*121*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*122*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*123*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*124*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*125*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*126*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*127*/  VTPARSE_ACTION_IGNORE             | (0                                 << 4),
/*128*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*129*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*130*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*131*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*132*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*133*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*134*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*135*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*136*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*137*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*138*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*139*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*140*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*141*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*142*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*143*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*144*/  0                                 | (VTPARSE_STATE_DCS_ENTRY           << 4),
/*145*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*146*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*147*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*148*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*149*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*150*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*151*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*152*/  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
/*153*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*154*/  VTPARSE_ACTION_EXECUTE            | (VTPARSE_STATE_GROUND              << 4),
/*155*/  0                                 | (VTPARSE_STATE_CSI_ENTRY           << 4),
/*156*/  0                                 | (VTPARSE_STATE_GROUND              << 4),
/*157*/  0                                 | (VTPARSE_STATE_OSC_STRING          << 4),
/*158*/  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
/*159*/  0                                 | (VTPARSE_STATE_SOS_PM_APC_STRING   << 4),
  },
};

vtparse_action_t ENTRY_ACTIONS[] = {
   VTPARSE_ACTION_CLEAR, /* CSI_ENTRY */
   0  /* none for CSI_IGNORE */,
   0  /* none for CSI_INTERMEDIATE */,
   0  /* none for CSI_PARAM */,
   VTPARSE_ACTION_CLEAR, /* DCS_ENTRY */
   0  /* none for DCS_IGNORE */,
   0  /* none for DCS_INTERMEDIATE */,
   0  /* none for DCS_PARAM */,
   VTPARSE_ACTION_HOOK, /* DCS_PASSTHROUGH */
   VTPARSE_ACTION_CLEAR, /* ESCAPE */
   0  /* none for ESCAPE_INTERMEDIATE */,
   0  /* none for GROUND */,
   VTPARSE_ACTION_OSC_START, /* OSC_STRING */
   0  /* none for SOS_PM_APC_STRING */,
};

vtparse_action_t EXIT_ACTIONS[] = {
   0  /* none for CSI_ENTRY */,
   0  /* none for CSI_IGNORE */,
   0  /* none for CSI_INTERMEDIATE */,
   0  /* none for CSI_PARAM */,
   0  /* none for DCS_ENTRY */,
   0  /* none for DCS_IGNORE */,
   0  /* none for DCS_INTERMEDIATE */,
   0  /* none for DCS_PARAM */,
   VTPARSE_ACTION_UNHOOK, /* DCS_PASSTHROUGH */
   0  /* none for ESCAPE */,
   0  /* none for ESCAPE_INTERMEDIATE */,
   0  /* none for GROUND */,
   VTPARSE_ACTION_OSC_END, /* OSC_STRING */
   0  /* none for SOS_PM_APC_STRING */,
};

